/*
 * このソースコードは blanco Frameworkによって自動生成されています。
 * このクラスはblancoValueObjectにより自動生成されました。
 */
package blanco.sample.batchprocess.valueobject;

import java.math.BigDecimal;

/**
 * バッチ処理クラス [Sample2BatchProcess]の入力バリューオブジェクトクラスです。 BlancoResourceBundleのAntTaskです。
 */
public class Sample2BatchProcessInput {
    /**
     * フィールド [require]
     *
     * 項目の型 [java.lang.String]<br>
     * 必須引数のサンプル。
     */
    private String fRequire;

    /**
     * フィールド [dispstr]
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [特に指定が無い場合の文字列]<br>
     * 表示文字列のサンプル。
     */
    private String fDispstr = "特に指定が無い場合の文字列";

    /**
     * フィールド [normalparam]
     *
     * 項目の型 [java.lang.String]<br>
     * 必須でもなく、またデフォルトも持たない引数の例。
     */
    private String fNormalparam;

    /**
     * フィールド [field_int_req]
     *
     * 項目の型 [int]<br>
     */
    private int fFieldIntReq;

    /**
     * フィールド [field_int]
     *
     * 項目の型 [int]<br>
     */
    private int fFieldInt;

    /**
     * フィールド [field_long_req]
     *
     * 項目の型 [long]<br>
     */
    private long fFieldLongReq;

    /**
     * フィールド [field_long]
     *
     * 項目の型 [long]<br>
     */
    private long fFieldLong;

    /**
     * フィールド [field_decimal_req]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     */
    private BigDecimal fFieldDecimalReq;

    /**
     * フィールド [field_decimal]
     *
     * 項目の型 [java.math.BigDecimal]<br>
     */
    private BigDecimal fFieldDecimal;

    /**
     * フィールド [field_boolean_req]
     *
     * 項目の型 [boolean]<br>
     */
    private boolean fFieldBooleanReq;

    /**
     * フィールド [field_boolean]
     *
     * 項目の型 [boolean]<br>
     */
    private boolean fFieldBoolean;

    /**
     * フィールド [require]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須引数のサンプル。
     *
     * @param argRequire フィールド[require]に格納したい値
     */
    public void setRequire(final String argRequire) {
        fRequire = argRequire;
    }

    /**
     * フィールド[require]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須引数のサンプル。
     *
     * @return フィールド[require]に格納されている値
     */
    public String getRequire() {
        return fRequire;
    }

    /**
     * フィールド [dispstr]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 表示文字列のサンプル。
     *
     * @param argDispstr フィールド[dispstr]に格納したい値
     */
    public void setDispstr(final String argDispstr) {
        fDispstr = argDispstr;
    }

    /**
     * フィールド[dispstr]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 規定値   [特に指定が無い場合の文字列]<br>
     * 表示文字列のサンプル。
     *
     * @return フィールド[dispstr]に格納されている値
     */
    public String getDispstr() {
        return fDispstr;
    }

    /**
     * フィールド [normalparam]のセッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須でもなく、またデフォルトも持たない引数の例。
     *
     * @param argNormalparam フィールド[normalparam]に格納したい値
     */
    public void setNormalparam(final String argNormalparam) {
        fNormalparam = argNormalparam;
    }

    /**
     * フィールド[normalparam]のゲッターメソッド
     *
     * 項目の型 [java.lang.String]<br>
     * 必須でもなく、またデフォルトも持たない引数の例。
     *
     * @return フィールド[normalparam]に格納されている値
     */
    public String getNormalparam() {
        return fNormalparam;
    }

    /**
     * フィールド [field_int_req]のセッターメソッド
     *
     * 項目の型 [int]<br>
     *
     * @param argFieldIntReq フィールド[field_int_req]に格納したい値
     */
    public void setFieldIntReq(final int argFieldIntReq) {
        fFieldIntReq = argFieldIntReq;
    }

    /**
     * フィールド[field_int_req]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     *
     * @return フィールド[field_int_req]に格納されている値
     */
    public int getFieldIntReq() {
        return fFieldIntReq;
    }

    /**
     * フィールド [field_int]のセッターメソッド
     *
     * 項目の型 [int]<br>
     *
     * @param argFieldInt フィールド[field_int]に格納したい値
     */
    public void setFieldInt(final int argFieldInt) {
        fFieldInt = argFieldInt;
    }

    /**
     * フィールド[field_int]のゲッターメソッド
     *
     * 項目の型 [int]<br>
     *
     * @return フィールド[field_int]に格納されている値
     */
    public int getFieldInt() {
        return fFieldInt;
    }

    /**
     * フィールド [field_long_req]のセッターメソッド
     *
     * 項目の型 [long]<br>
     *
     * @param argFieldLongReq フィールド[field_long_req]に格納したい値
     */
    public void setFieldLongReq(final long argFieldLongReq) {
        fFieldLongReq = argFieldLongReq;
    }

    /**
     * フィールド[field_long_req]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     *
     * @return フィールド[field_long_req]に格納されている値
     */
    public long getFieldLongReq() {
        return fFieldLongReq;
    }

    /**
     * フィールド [field_long]のセッターメソッド
     *
     * 項目の型 [long]<br>
     *
     * @param argFieldLong フィールド[field_long]に格納したい値
     */
    public void setFieldLong(final long argFieldLong) {
        fFieldLong = argFieldLong;
    }

    /**
     * フィールド[field_long]のゲッターメソッド
     *
     * 項目の型 [long]<br>
     *
     * @return フィールド[field_long]に格納されている値
     */
    public long getFieldLong() {
        return fFieldLong;
    }

    /**
     * フィールド [field_decimal_req]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     *
     * @param argFieldDecimalReq フィールド[field_decimal_req]に格納したい値
     */
    public void setFieldDecimalReq(final BigDecimal argFieldDecimalReq) {
        fFieldDecimalReq = argFieldDecimalReq;
    }

    /**
     * フィールド[field_decimal_req]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     *
     * @return フィールド[field_decimal_req]に格納されている値
     */
    public BigDecimal getFieldDecimalReq() {
        return fFieldDecimalReq;
    }

    /**
     * フィールド [field_decimal]のセッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     *
     * @param argFieldDecimal フィールド[field_decimal]に格納したい値
     */
    public void setFieldDecimal(final BigDecimal argFieldDecimal) {
        fFieldDecimal = argFieldDecimal;
    }

    /**
     * フィールド[field_decimal]のゲッターメソッド
     *
     * 項目の型 [java.math.BigDecimal]<br>
     *
     * @return フィールド[field_decimal]に格納されている値
     */
    public BigDecimal getFieldDecimal() {
        return fFieldDecimal;
    }

    /**
     * フィールド [field_boolean_req]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     *
     * @param argFieldBooleanReq フィールド[field_boolean_req]に格納したい値
     */
    public void setFieldBooleanReq(final boolean argFieldBooleanReq) {
        fFieldBooleanReq = argFieldBooleanReq;
    }

    /**
     * フィールド[field_boolean_req]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     *
     * @return フィールド[field_boolean_req]に格納されている値
     */
    public boolean getFieldBooleanReq() {
        return fFieldBooleanReq;
    }

    /**
     * フィールド [field_boolean]のセッターメソッド
     *
     * 項目の型 [boolean]<br>
     *
     * @param argFieldBoolean フィールド[field_boolean]に格納したい値
     */
    public void setFieldBoolean(final boolean argFieldBoolean) {
        fFieldBoolean = argFieldBoolean;
    }

    /**
     * フィールド[field_boolean]のゲッターメソッド
     *
     * 項目の型 [boolean]<br>
     *
     * @return フィールド[field_boolean]に格納されている値
     */
    public boolean getFieldBoolean() {
        return fFieldBoolean;
    }

    /**
     * このバリューオブジェクトの文字列表現を取得します。
     *
     * オブジェクトのシャロー範囲でしかtoStringされない点に注意して利用してください。
     *
     * @return バリューオブジェクトの文字列表現。
     */
    public String toString() {
        final StringBuffer buf = new StringBuffer();
        buf.append("blanco.sample.batchprocess.valueobject.Sample2BatchProcessInput[");
        buf.append("require=" + fRequire);
        buf.append(",dispstr=" + fDispstr);
        buf.append(",normalparam=" + fNormalparam);
        buf.append(",field_int_req=" + fFieldIntReq);
        buf.append(",field_int=" + fFieldInt);
        buf.append(",field_long_req=" + fFieldLongReq);
        buf.append(",field_long=" + fFieldLong);
        buf.append(",field_decimal_req=" + fFieldDecimalReq);
        buf.append(",field_decimal=" + fFieldDecimal);
        buf.append(",field_boolean_req=" + fFieldBooleanReq);
        buf.append(",field_boolean=" + fFieldBoolean);
        buf.append("]");
        return buf.toString();
    }
}
